# PulpContainerClient::PatchedcontainerContainerDistribution

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | A unique name. Ex, &#x60;rawhide&#x60; and &#x60;stable&#x60;. | [optional] 
**repository_version** | **String** | RepositoryVersion to be served | [optional] 
**base_path** | **String** | The base (relative) path component of the published url. Avoid paths that                     overlap with other distribution base paths (e.g. \&quot;foo\&quot; and \&quot;foo/bar\&quot;) | [optional] 
**repository** | **String** | The latest RepositoryVersion for this Repository will be served. | [optional] 
**content_guard** | **String** | An optional content-guard. If none is specified, a default one will be used. | [optional] 

## Code Sample

```ruby
require 'PulpContainerClient'

instance = PulpContainerClient::PatchedcontainerContainerDistribution.new(name: null,
                                 repository_version: null,
                                 base_path: null,
                                 repository: null,
                                 content_guard: null)
```


